Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 588878

Summary: Rebooting a kernel with kvmclock enabled, into a kernel with kvmclock disabled, causes random crashes
Product: Red Hat Enterprise Linux 5 Reporter: Glauber Costa <gcosta>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED ERRATA QA Contact: Virtualization Bugs <virt-bugs>
Severity: medium Docs Contact:
Priority: low    
Version: 5.5CC: amit.shah, bcao, berrange, dwmw2, ehabkost, gcosta, itamar, jaswinder, jforbes, knoel, llim, markmc, scottt.tw, tburke, virt-maint, virt-maint, ykaul, zamsden
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kvm-83-185.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 588874 Environment:
Last Closed: 2011-01-13 23:35:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 580949, 588877    

Description Glauber Costa 2010-05-04 18:40:27 UTC
+++ This bug was initially created as a clone of Bug #588874 +++

Description of problem:

Right now, if we boot into a kernel with kvmclock eanbled, and then reboot into a kernel with kvmclock disabled (rebooting with no-kvmclock kernel option is enough), we'll see the second kernel crash with random memory corruption.

This indicates that kvmclock is still writing to the old memory location,
which will now contain something else entirely.

Version-Release number of selected component (if applicable):
all, including upstream

How reproducible:

Always

Steps to Reproduce:
1. boot a kernel with kvmclock enabled
2. reboot
3. pause grub in the OS selection screen, edit parameters, and remove kvmclock
  
Actual results:

Crash

Expected results:

Work.

Comment 1 Zachary Amsden 2010-06-22 21:00:50 UTC
Hasn't this already been fixed?  I remember reviewing the patches.

Comment 2 Glauber Costa 2010-06-23 13:25:01 UTC
My bad, forgot to send the patches for 5.5 Just did it for 6.
I am sending it within the hour.

Comment 7 Mike Cao 2010-11-03 07:47:52 UTC
# uname -r 
2.6.18-229.el5
# rpm -q kvm
kvm-83-207.el5

Verified with Fedora 13 and rhel5.5 64 bit guest by using the steps in comment #0,
This issue has already been fixed.

Comment 10 errata-xmlrpc 2011-01-13 23:35:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html